# TdApi.InputInlineQueryResultPhoto (TDLight API 4.0.458 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: InputInlineQueryResultPhoto

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputInlineQueryResultPhoto

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputInlineQueryResult
it.tdlight.jni.TdApi.InputInlineQueryResultPhoto

Enclosing class:
  TdApi

public static final class TdApi.InputInlineQueryResultPhoto extends TdApi.InputInlineQueryResult
Represents link to a JPEG image.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`description`
A short description of the result, if known.
`String`
`id`
Unique identifier of the query result.
`TdApi.InputMessageContent`
`inputMessageContent`
The content of the message to be sent.
`int`
`photoHeight`
Height of the photo.
`String`
`photoUrl`
The URL of the JPEG photo (photo size must not exceed 5MB).
`int`
`photoWidth`
Width of the photo.
`TdApi.ReplyMarkup`
`replyMarkup`
The message reply markup; pass null if none.
`String`
`thumbnailUrl`
URL of the photo thumbnail, if it exists.
`String`
`title`
Title of the result, if known.

## Constructor Summary

Constructors
Constructor
Description
`InputInlineQueryResultPhoto()`
Represents link to a JPEG image.
`InputInlineQueryResultPhoto(DataInput input)`
Represents link to a JPEG image.
`InputInlineQueryResultPhoto(String id, String title, String description, String thumbnailUrl, String photoUrl, int photoWidth, int photoHeight, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)`
Represents link to a JPEG image.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public String id
Unique identifier of the query result.

### title

public String title
Title of the result, if known.

### description

public String description
A short description of the result, if known.

### thumbnailUrl

public String thumbnailUrl
URL of the photo thumbnail, if it exists.

### photoUrl

public String photoUrl
The URL of the JPEG photo (photo size must not exceed 5MB).

### photoWidth

public int photoWidth
Width of the photo.

### photoHeight

public int photoHeight
Height of the photo.

### replyMarkup

public TdApi.ReplyMarkup replyMarkup
The message reply markup; pass null if none. Must be of type replyMarkupInlineKeyboard or null.

### inputMessageContent

public TdApi.InputMessageContent inputMessageContent
The content of the message to be sent. Must be one of the following types: inputMessageText, inputMessagePhoto, inputMessageInvoice, inputMessageLocation, inputMessageVenue or inputMessageContact.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### InputInlineQueryResultPhoto

public InputInlineQueryResultPhoto()
Represents link to a JPEG image.

### InputInlineQueryResultPhoto

public InputInlineQueryResultPhoto(String id, String title, String description, String thumbnailUrl, String photoUrl, int photoWidth, int photoHeight, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)
Represents link to a JPEG image.

Parameters:
  `id` - Unique identifier of the query result.
  `title` - Title of the result, if known.
  `description` - A short description of the result, if known.
  `thumbnailUrl` - URL of the photo thumbnail, if it exists.
  `photoUrl` - The URL of the JPEG photo (photo size must not exceed 5MB).
  `photoWidth` - Width of the photo.
  `photoHeight` - Height of the photo.
  `replyMarkup` - The message reply markup; pass null if none. Must be of type replyMarkupInlineKeyboard or null.
  `inputMessageContent` - The content of the message to be sent. Must be one of the following types: inputMessageText, inputMessagePhoto, inputMessageInvoice, inputMessageLocation, inputMessageVenue or inputMessageContact.

### InputInlineQueryResultPhoto

public InputInlineQueryResultPhoto(DataInput input) throws IOException
Represents link to a JPEG image.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`